<?php
/*
Plugin Name: Add JQuery in footer
Version: 2.10.a
Description: Add JQuery in footer
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=897
Author: ddtddt
Author URI: http://temmii.com/piwigo/
*/
// +-----------------------------------------------------------------------+
// | Add JQuery plugin for Piwigo by TEMMII                                |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2007 - 2020 ddtddt             http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('AJQF_DIR' , basename(dirname(__FILE__)));
define('AJQF_PATH' , PHPWG_PLUGINS_PATH . AJQF_DIR . '/');
define('AJQF_ADMIN',get_root_url().'admin.php?page=plugin-'.AJQF_DIR);

add_event_handler('loading_lang', 'addjquery_loading_lang');	  
function addjquery_loading_lang(){
  load_language('plugin.lang', AJQF_PATH);
}

add_event_handler('get_admin_plugin_menu_links', 'AJQF_admin_menu');
function AJQF_admin_menu($menu){
  if (is_webmaster()){
	array_push($menu, array(
	  'NAME' => l10n('Add jQuery'),
	  'URL' => AJQF_ADMIN));
  } 
  return $menu;
}

add_event_handler('loc_end_page_tail', 'ajqf');
function ajqf(){
global $page, $template, $conf;
	$template->assign('PLUGAJQ', $conf['PLUGAJQ']);
	$template->set_filename('PLUGAJQ', realpath(AJQF_PATH.'jquery.tpl'));	
	$template->append('footer_elements', $template->parse('PLUGAJQ', true));
  }
?>
